%define apache_minvers 1.3.31
%define modperl_version 1.29

Summary:     Brings together the full power of Perl and Apache
Name:        mod_perl
Version:     %{modperl_version}
Release:     24.pp
License:     GPL
Group:       System Environment/Daemons
Source0:     http://perl.apache.org/dist/%{name}-%{modperl_version}.tar.gz
Source1:     %{name}.conf
URL:         http://perl.apache.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Doug MacEachern <dougm@perl.apache.org>
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc apache >= %{apache_minvers} apache.pp perl >= 5.6.1
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /usr/bin/perl /bin/mkdir /usr/bin/make
BuildPrereq: /usr/bin/install /usr/sbin/apxs /bin/sed /usr/bin/find
BuildPrereq: glibc-devel apache-devel >= %{apache_minvers} mm-devel
BuildPrereq: perl(CGI) perl(LWP::UserAgent) perl(HTML::HeadParser)
ExclusiveOS: linux

%description
The Apache/Perl integration project brings together the full power
of the Perl programming language and the Apache HTTP server. With
mod_perl it is possible to write Apache modules entirely in Perl.
In addition, the persistent interpreter embedded in the server avoids
the overhead of starting an external interpreter and the penalty of
Perl start-up time.


%package manual
Summary:     Documentation for mod_perl
Group:       Documentation
Requires:    apache-manual >= %{apache_minvers} %{name} = %{modperl_version}
Provides:    %{name}-manual.pp

%description manual
The %{name}-manual package contains the complete manual and programming
reference for the apache perl module. It requires apache-manual to be
installed. It can also be found on the web at http://perl.apache.org/.


%prep
%setup -q
cp -f apaci/Makefile.tmpl tmp_file
sed -e 's+$(APXS) -i -a -n perl+$(APXS) -i -n perl+g' tmp_file > apaci/Makefile.tmpl
rm -f tmp_file


%build
export LIBS="-lpthread"
export EAPI_MM="SYSTEM"
perl \
	Makefile.PL              \
	USE_APXS=1               \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING=1             \
	USE_APACI=1              \
	USE_DSO=1
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/modules
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/var/httpd/perl
mkdir -p $RPM_BUILD_ROOT/var/httpd/htdocs/manual/mod
make PREFIX=$RPM_BUILD_ROOT/usr install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf/modules
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf/modules/mod_perl.conf.default
install -m 755 apaci/libperl.so $RPM_BUILD_ROOT/usr/lib/apache
install -m 644 htdocs/manual/mod/mod_perl.html $RPM_BUILD_ROOT/var/httpd/htdocs/manual/mod
# remove unwanted files
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changes CREDITS INSTALL* LICENSE MANIFEST README STATUS SUPPORT
%doc %dir faq
%config(noreplace) /etc/httpd/conf/modules/*.conf
/etc/httpd/conf/modules/*.default
/usr/lib/apache/*
/usr/lib/perl5/*
/usr/share/man/man3/*
%dir /var/httpd/perl

%files manual
%defattr(-,root,root)
/var/httpd/htdocs/manual/mod/*


%changelog
* Fri May 14 2004 peter.pramberger@1012surf.net
- new version 1.29
- new apache version 1.3.31

* Fri Oct 03 2003 peter.pramberger@1012surf.net
- rebuilt due to perl security updates

* Fri Aug 22 2003 peter.pramberger@1012surf.net
- new version 1.28

* Thu May 08 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Sat Nov 10 2001 peter.pramberger@1012surf.net
- new apache version 1.3.22

* Tue Oct 09 2001 peter.pramberger@1012surf.net
- created

